import { BaseService, Service } from '@/cool';

export class CommonService extends BaseService {
	/**
	 * 员工角色权限（B的子集C） b
	 *
	 * @returns
	 * @memberof CommonService
	 */
	authList(data) {
		return this.request({
			url: '/admin-role-auth/auth',
			params: data
		});
	}

	/**
	 * 员工角色权限修改 b
	 *
	 * @returns
	 * @memberof CommonService
	 */
	authUpdate(data) {
		return this.request({
			url: '/admin-role-auth/update',
			method: 'POST',
			data: data
		});
	}
}

export default new CommonService();
